Bug 126601 - man is missing many dependencies
man is missing many dependencies
Product: Fedora
Classification: Fedora
Component: man (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2004-06-23 14:02 EDT by Steve Grubb
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-01 17:28:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steve Grubb 2004-06-23 14:02:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.4.2)

Description of problem:
man is missing many build dependencies. During the build process, the
configure script looks for certain utilities and stores their paths
for the man program. Without these utilities install, some
functionality will be missing. The follow patch fixes it:

--- working/man/man.spec        2004-03-31 15:02:45.000000000 -0500
+++ /opt/specs/man.spec 2004-06-10 13:50:28.000000000 -0400
@@ -24,8 +24,10 @@
 Patch12: man-1.5m2-posix.patch
 Buildroot: %{_tmppath}/%{name}-root
-PreReq: fileutils
+PreReq: coreutils
 Requires: less, groff >= 1.18, nroff-i18n, findutils, mktemp >=
+Requires: bzip2, gzip, diffutils
+BuildRequires: less, groff, diffutils, bzip2, gzip, coreutils
 The man package includes three tools for finding information and/or

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. rpm -e --nodeps less groff diffutils bzip2 gzip
2. rpmbuild -bb /usr/src/redhat/SPECS/man.spec

Additional info:
Comment 1 Alan Cox 2004-08-01 17:28:52 EDT

Note You need to log in before you can comment on or make changes to this bug.